## org.eclipse.datatools.connectivity.ui.wizards
Class ProfilePropertyPage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.preference.PreferencePage
              org.eclipse.ui.dialogs.PropertyPage
                  org.eclipse.datatools.connectivity.ui.wizards.ProfilePropertyPage

All Implemented Interfaces:
  org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.preference.IPreferencePage, org.eclipse.ui.IWorkbenchPropertyPage

Direct Known Subclasses:
  ProfileDetailsPropertyPage

    public abstract class ProfilePropertyPage

extends org.eclipse.ui.dialogs.PropertyPage

Base property page implementation for connection profiles. This implementation takes care of updating the connection profile when OK is pressed.

Author:
  shongxum

Field Summary

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Method Summary
`void` `createControl(org.eclipse.swt.widgets.Composite parent, boolean isReadOnly)`
`void` `dispose()`
`IConnectionProfile` `getConnectionProfile()`
`boolean` `performOk()`

Methods inherited from class org.eclipse.ui.dialogs.PropertyPage
`getElement, setElement`

Methods inherited from class org.eclipse.jface.preference.PreferencePage
`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage, setVisible`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.preference.IPreferencePage
`computeSize, isValid, okToLeave, performCancel, setContainer, setSize`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Method Detail

### createControl

    public void createControl(org.eclipse.swt.widgets.Composite parent,
                              boolean isReadOnly)

### getConnectionProfile

    public IConnectionProfile getConnectionProfile()

### performOk

    public boolean performOk()

  Specified by:
    `performOk` in interface `org.eclipse.jface.preference.IPreferencePage`
  Overrides:
    `performOk` in class `org.eclipse.jface.preference.PreferencePage`

### dispose

    public void dispose()

  Specified by:
    `dispose` in interface `org.eclipse.jface.dialogs.IDialogPage`
  Overrides:
    `dispose` in class `org.eclipse.jface.dialogs.DialogPage`